Loading...
Searching...
No Matches
mbedtls_sha512_context Struct Reference

The SHA-512 context structure. More...

`#include <sha512.h>`

## Data Fields

uint64_t | private_total [2]
uint64_t | private_state [8]
unsigned char | private_buffer [128]
int | private_is384
int | dummy

## Detailed Description

The SHA-512 context structure.

               The structure is used both for SHA-384 and for SHA-512
               checksum calculations. The choice between these two is
               made in the call to mbedtls_sha512_starts().

Definition at line 39 of file sha512.h.

## Field Documentation

## dummy

int mbedtls_sha512_context::dummy

Definition at line 11 of file sha512_alt.h.

## private_buffer

unsigned char mbedtls_sha512_context::private_buffer[128]

The data block being processed.

Definition at line 42 of file sha512.h.

## private_is384

int mbedtls_sha512_context::private_is384

Determines which function to use: 0: Use SHA-512, or 1: Use SHA-384.

Definition at line 44 of file sha512.h.

## private_state

uint64_t mbedtls_sha512_context::private_state[8]

The intermediate digest state.

Definition at line 41 of file sha512.h.

## private_total

uint64_t mbedtls_sha512_context::private_total[2]

The number of Bytes processed.

Definition at line 40 of file sha512.h.

The documentation for this struct was generated from the following files:

- sha512.h
- sha512_alt.h